Return the status of the connection between the specified source Cloud Manager organization and the target MongoDB Atlas organization.
Required Roles
Your API Key must have the Organization Owner role to successfully call this resource.
Request
Base URL: https://cloud.mongodb.com/api/public/v1.0
GET /orgs/{orgId}/liveExport/migrationLink/statusRequest Path Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
orgId | string | Required | Unique 24-hexadecimal digit string that identifies the source organization that contains the projects to be migrated to MongoDB Atlas. |
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether to return the response body in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients can't access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
This endpoint doesn't use HTTP request body parameters.
Response
Name | Type | Description |
|---|---|---|
status | string | State of the connection that exists between this organization and the target cluster in the MongoDB Atlas organization. Response returns |
Example Request
curl --user '{PUBLIC-KEY}:{PRIVATE-KEY}' --digest \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --include \ --request GET 'https://cloud.mongodb.com/api/public/v1.0/orgs/{orgId}/liveExport/migrationLink/status?pretty=true'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "status": "SYNCED"}